=== added file 'bzrlib/_dirstate_helpers_c.h'
--- bzrlib/_dirstate_helpers_c.h	1970-01-01 00:00:00 +0000
+++ bzrlib/_dirstate_helpers_c.h	2007-08-02 21:00:51 +0000
@@ -0,0 +1,11 @@
+#ifndef _DIRSTATE_HELPERS_C_H
+#define _DIRSTATE_HELPERS_C_H
+
+/* for intptr_t */
+#ifdef _MSC_VER
+#include <io.h>
+#else
+#include <stdint.h>
+#endif
+
+#endif

=== modified file 'bzrlib/_dirstate_helpers_c.pyx'
--- bzrlib/_dirstate_helpers_c.pyx	2007-07-20 17:01:36 +0000
+++ bzrlib/_dirstate_helpers_c.pyx	2007-08-02 21:00:51 +0000
@@ -32,7 +32,7 @@
 cdef extern from *:
     ctypedef unsigned long size_t
 
-cdef extern from "stdint.h":
+cdef extern from "_dirstate_helpers_c.h":
     ctypedef int intptr_t
 
 
@@ -108,7 +108,7 @@
     found = _my_memrchr(_s, _c[0], length)
     if found == NULL:
         return None
-    return found - _s
+    return <char*>found - <char*>_s
 
 
 cdef int _is_aligned(void *ptr):

